## mingw-w64-ghex-48.0-2.src.tar.zst

=== meson_options.txt ===
# meson may 'purposely' not provide a docdir variable, but some distros
# like Slackware still like to specify that docs should be installed in @prefix/doc
option('docdir', type: 'string', value: 'share/doc', description: 'docdir (defaults to: share/doc)')

option('development', type: 'boolean', value: false, description: 'If this is a development build')
option('mmap-buffer-backend', type : 'boolean', value: true, description: 'Build `mmap` buffer backend')
option('direct-buffer-backend', type : 'boolean', value: true, description: 'Build `direct` buffer backend')
option('introspection', type: 'feature', value: 'auto', description: 'Generate gir data (requires gobject-introspection)')
option('gtk_doc', type: 'boolean', value: false, description: 'Build reference manual (requires gtk-doc)')
option('static-html-help', type: 'boolean', value: false, description: 'Install static HTML help files (for systems without Yelp)')
option('vapi', type: 'boolean', value: false, description: 'Generate VAPI files for Vala')
